Skip to main content
POST
/
pay_rates
cURL
curl --request POST \
  --url https://sandbox.withclasp.com/pay_rates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "member": "<string>",
  "amount": "<string>",
  "effective_start": "2023-12-25"
}
'
import requests

url = "https://sandbox.withclasp.com/pay_rates"

payload = {
"member": "<string>",
"amount": "<string>",
"effective_start": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({member: '<string>', amount: '<string>', effective_start: '2023-12-25'})
};

fetch('https://sandbox.withclasp.com/pay_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "member": "<string>",
  "amount": "<string>",
  "effective_start": "2023-12-25"
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Body

member
string
required
amount
string<decimal>
required
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
period
enum<string>
required
  • annually - Annually
  • monthly - Monthly
  • weekly - Weekly
  • hourly - Hourly
Available options:
annually,
monthly,
weekly,
hourly
effective_start
string<date>
required

Response

201 - application/json
id
string
required
read-only
Pattern: ^[-a-zA-Z0-9_]+$
member
string
required
amount
string<decimal>
required
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
period
enum<string>
required
  • annually - Annually
  • monthly - Monthly
  • weekly - Weekly
  • hourly - Hourly
Available options:
annually,
monthly,
weekly,
hourly
effective_start
string<date>
required